> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hydric.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of tokens on a specific blockchain

> Returns a paginated list of tokens available on the specified blockchain network.



## OpenAPI

````yaml https://api.hydric.org/v1/openapi.json post /v1/tokens/{chainId}
openapi: 3.1.0
info:
  title: hydric Gateway API
  description: Access DeFi Liquidity easily. One plug. Every Protocol. Every Network.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.hydric.org
security:
  - bearerAuth: []
tags: []
paths:
  /v1/tokens/{chainId}:
    post:
      tags:
        - Tokens
      summary: Get a list of tokens on a specific blockchain
      description: >-
        Returns a paginated list of tokens available on the specified blockchain
        network.
      operationId: TokensController_getSingleChainTokenList
      parameters:
        - name: chainId
          required: true
          in: path
          description: >-
            The chain id of the network. This must be a supported network chain
            id.
          schema:
            example: 143
            enum:
              - 1
              - 143
              - 130
              - 999
              - 8453
              - 9745
              - 534352
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetSingleChainTokenListRequestBody'
      responses:
        '200':
          description: >-
            The token list for the specified blockchain was successfully
            retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSingleChainTokenListResponse'
        '400':
          description: Invalid request parameters.
          content:
            application/json:
              examples:
                unsupportedChainId:
                  summary: Unsupported chain ID
                  value:
                    statusCode: 400
                    timestamp: '2026-02-28T19:40:59.723Z'
                    path: /tokens/999999
                    traceId: doc_sample_trace_id
                    error:
                      code: UNSUPPORTED_CHAIN_ID
                      title: Invalid Parameters
                      message: 'Unsupported Chain ID: 999999'
                      details: >-
                        The provided ID is not supported. Supported IDs are: [1,
                        143, 130, 999, 8453, 9745, 534352].
                      metadata:
                        chainId: 999999
                        unsupportedIds:
                          - 999999
                        supportedIds:
                          - 1
                          - 143
                          - 130
                          - 999
                          - 8453
                          - 9745
                          - 534352
                invalidLimit:
                  summary: Invalid limit parameter
                  value:
                    statusCode: 400
                    timestamp: '2026-02-28T19:40:59.723Z'
                    path: /tokens/143
                    traceId: doc_sample_trace_id
                    error:
                      code: VALIDATION_ERROR
                      title: Invalid Parameters
                      message: limit must not be greater than 500
                      details: >-
                        Check the 'meta' field for specific field-level
                        violations.
                      metadata:
                        property: limit
                        value: 101
                        constraints:
                          max:
                            - limit must not be greater than 1000
components:
  schemas:
    GetSingleChainTokenListRequestBody:
      type: object
      properties:
        config:
          description: >-
            Configuration for the token list request such as limit, order,
            cursor, etc.
          allOf:
            - $ref: '#/components/schemas/SingleChainTokenListConfig'
        filters:
          description: Filters for the token list request to personalize the response.
          allOf:
            - $ref: '#/components/schemas/SingleChainTokenListFilter'
    GetSingleChainTokenListResponse:
      type: object
      properties:
        tokens:
          description: List of tokens on the specified blockchain
          type: array
          items:
            $ref: '#/components/schemas/SingleChainTokenMetadata'
        nextCursor:
          type: object
          description: Cursor for the next page. Null if no more results.
          example: eJzLKCkpSs3LT0rNz0tRBAAdewMF
          nullable: true
      required:
        - tokens
    SingleChainTokenListConfig:
      type: object
      properties:
        limit:
          type: number
          description: The number of items to return in the response.
          minimum: 1
          maximum: 500
          default: 10
          example: 10
        orderBy:
          description: Ordering configuration for the token list.
          allOf:
            - $ref: '#/components/schemas/TokenOrder'
        cursor:
          type: string
          description: >-
            Base64-encoded cursor for pagination. Fetch this from the
            "nextCursor" field of a previous response. Do not pass this if you
            want to start from the beginning.
          example: null
          default: null
    SingleChainTokenListFilter:
      type: object
      properties:
        minimumTotalValuePooledUsd:
          type: number
          description: >-

            The minimum aggregate liquidity in USD for a token to be included in
            the response. 

            This filters out low-liquidity assets across the indexed ecosystem.
          example: 50000
          default: 10000
          minimum: 0
        minimumSwapsCount:
          type: number
          description: >-
            The minimum cumulative swap count required for an asset to be
            included in the response.
          default: 1000
          example: 1000
        minimumSwapVolumeUsd:
          type: number
          description: >-

            The minimum cumulative **Swap Volume** (USD) since the asset was
            deployed, required for an asset to appear.
          default: 100000
          example: 100000
        ignoreWrappedNative:
          type: boolean
          description: >-

            If set to **true** (default), the response will exclude Wrapped
            Native tokens (e.g., WETH on Ethereum, WMATIC on Polygon).

            Use **false** if you specifically need the ERC-20 wrapped version of
            the native asset. But note that both the native token and its
            wrapped version will appear in the results
          default: true
          example: true
    SingleChainTokenMetadata:
      type: object
      properties:
        chainId:
          type: number
          description: The chain id of the network where the token resides.
          example: 1
          enum:
            - 1
            - 143
            - 130
            - 999
            - 8453
            - 9745
            - 534352
        address:
          type: string
          description: >-

            The contract address of the token on its host network.


            * **ERC-20 Tokens:** The 20-byte hex contract address.

            * **Native Assets (e.g., ETH, MATIC):** Represented by the "Zero
            Address" (`0x000...000`).
                
          example: '0x0000000000000000000000000000000000000000'
        decimals:
          type: number
          description: >-
            The number of decimal places used to represent the smallest
            fractional unit of the token (e.g., 18 for ETH, 6 for USDC).
          example: 18
        name:
          type: string
          description: >-
            The full human-readable name of the asset (e.g., "Ethereum",
            "Wrapped Bitcoin").
          example: Ether
        symbol:
          type: string
          description: The ticker symbol of the token (e.g., "ETH", "WBTC")..
          example: ETH
        logoUrl:
          type: string
          description: The URL of the token logo.
          example: >-
            https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000
      description: Core identifying metadata for a token on a single blockchain.
      required:
        - chainId
        - address
        - decimals
        - name
        - symbol
        - logoUrl
    TokenOrder:
      type: object
      properties:
        field:
          type: string
          enum:
            - tvl
          default: tvl
          description: Field that you want to order tokens by.
          example: tvl
        direction:
          type: string
          enum:
            - desc
            - asc
          default: desc
          description: Sorting direction of the selected field.
          example: desc
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        Use the docs sandbox API key for authentication:
        **hydric_docs_4N4ocuirsN8Sh**

````